<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 22/5/2018
 * Time: 2:12 AM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['nombre']) && isset($_REQUEST['correo']) && isset($_REQUEST['direccion']) && isset($_REQUEST['telefono']) && isset($_REQUEST['propiedadId'])) {
                $inquilino = R::dispense('inquilino');
                $inquilino->nombre = $_REQUEST['nombre'];
                $inquilino->correo = $_REQUEST['correo'];
                $inquilino->direccion = $_REQUEST['direccion'];
                $inquilino->telefono = $_REQUEST['telefono'];
                $inquilino->fechaRegistro = date('Y-m-d H:i:s');
                $inquilino->fechaModificacion = date('Y-m-d H:i:s');
                $inquilino->propiedadId = $_REQUEST['propiedadId'];
                $inquilino->fotoPerfil = "http://como-encontrar-parejas.es/wp-content/uploads/foto-de-perfil.jpg";
                $inquilino->estado = 1;
                $id = R::store($inquilino);
                include '../comun/mensajeCreado.php';
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}